Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet
Class PortletParameters

    java.lang.Object
      org.jboss.portal.common.util.TypedMap<java.lang.String,java.lang.String[],java.lang.String,java.lang.String[]>
          org.jboss.portal.common.util.ParameterMap
              org.jboss.portal.portlet.PortletParameters

All Implemented Interfaces:
  java.io.Serializable, java.util.Map<java.lang.String,java.lang.String[]>

    public final class PortletParameters

extends ParameterMap
implements java.io.Serializable

A set of parameters.

Version:
  $Revision: 7209 $
Author:
  Julien Viet
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.portal.common.util.TypedMap
`TypedMap.Converter<E,I>, TypedMap.KeySet, TypedMap.TypedEntrySet, TypedMap.ValueCollection`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`PortletParameters()` Creates an empty parameter set.
`PortletParameters(java.util.Map parameterMap)` Copy the parameter map to initialize the object state.

Method Summary
`void` | `append(java.util.Map params)` Append the content of the argument map to that map.
`java.lang.String` | `toString()`
`static PortletParameters` | `wrap(java.util.Map map)` Safely wrap the map as a portlet parameters object.

Methods inherited from class org.jboss.portal.common.util.ParameterMap
`getValue, getValues, isCloneExternalValue, isCloneInternalValue, setValue, setValues`

Methods inherited from class org.jboss.portal.common.util.TypedMap
`clear, containsKey, containsValue, convert, entrySet, equals, get, getKeyConverter, getValueConverter, isEmpty, keySet, put, putAll, remove, replace, size, validate, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`hashCode`

Constructor Detail

### PortletParameters

    public PortletParameters()

  Creates an empty parameter set.

### PortletParameters

    public PortletParameters(java.util.Map parameterMap)
                      throws java.lang.NullPointerException,
                             java.lang.ClassCastException,
                             java.lang.IllegalArgumentException

  Copy the parameter map to initialize the object state.

  Throws:
    `java.lang.IllegalArgumentException` - if the parameter map is null or not valid
    `java.lang.NullPointerException` - if the map contains a null key or a null value
    `java.lang.IllegalArgumentException` - if the map is null or it contains a value with a zero length array or a null element in the array
    `java.lang.ClassCastException` - if the map contains a key that is not a string or a value that is not a string array

Method Detail

### append

    public void append(java.util.Map params)
                throws java.lang.ClassCastException,
                       java.lang.NullPointerException,
                       java.lang.IllegalArgumentException

  Append the content of the argument map to that map. If both maps contains an entry sharing the same key, then the string arrays or the two entries will be concatenated into a single array. Each entry present on the argument map and not in the current map will be kept as is. The argument validation is performed before the state is updated.

  Parameters:
    `params` - the parameters to appends
  Throws:
    `java.lang.NullPointerException` - if the map contains a null key or a null value
    `java.lang.IllegalArgumentException` - if the map is null or it contains a value with a zero length array or a null element in the array
    `java.lang.ClassCastException` - if the map contains a key that is not a string or a value that is not a string array

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `TypedMap<java.lang.String,java.lang.String[],java.lang.String,java.lang.String[]>`

### wrap

    public static PortletParameters wrap(java.util.Map map)

  Safely wrap the map as a portlet parameters object. If the map is already a portlet parameter object, just return that object otherwise return a wrapper around the map.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD